GDB (xrefs)

Public Attributes | List of all members
do_module_cleanup Struct Reference

## Public Attributes
int * | executedp
char * | source_file
enum compile_i_scope_types | scope
void * | scope_data
struct type * | out_value_type
CORE_ADDR | out_value_addr
struct munmap_list * | munmap_list_head
char | objfile_name_string [1]

## Detailed Description

Definition at line 33 of file compile-object-run.c.

## Member Data Documentation

## ◆ executedp

int* do_module_cleanup::executedp

Definition at line 37 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ munmap_list_head

struct munmap_list* do_module_cleanup::munmap_list_head

Definition at line 51 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ objfile_name_string

char do_module_cleanup::objfile_name_string[1]

Definition at line 54 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ out_value_addr

CORE_ADDR do_module_cleanup::out_value_addr

Definition at line 48 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ out_value_type

struct type* do_module_cleanup::out_value_type

Definition at line 47 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ scope

enum compile_i_scope_types do_module_cleanup::scope

Definition at line 43 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ scope_data

void* do_module_cleanup::scope_data

Definition at line 44 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

## ◆ source_file

char* do_module_cleanup::source_file

Definition at line 40 of file compile-object-run.c.

Referenced by compile_object_run(), and do_module_cleanup().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/compile/compile-object-run.c